package ru.myitschool.work.domain.auth

import ru.myitschool.work.domain.auth.repo.AuthorizationRepository
import javax.inject.Inject

class LoginUseCase @Inject constructor(
    private val repo: AuthorizationRepository,
) {
    suspend operator fun invoke(login: String): Result<Unit> {
        return repo.login(username = login)
    }
}